
/*
 * See the files COPYING and README for copyright information and how to reach 
 * the author.
 *
 *  $Id: process-vdr.h,v 1.1.1.1 2004/11/19 16:45:31 lordjaxom Exp $
 */

#ifndef VDR_BURN_PROCESS_VDR_H
#define VDR_BURN_PROCESS_VDR_H

#include "process.h"

class cBurnJob;

class cBurnProcessVDR:
    public cBurnProcess
{
    enum eStepVDR
    {
        svGrowisofs,
        __VDR_COUNT__
    };

  protected:
    virtual void Process(int Step, int SubStep, const char *Line);
    virtual bool Continue(int Step, int SubStep);

    virtual void InitRepeat();

  public:
    cBurnProcessVDR(cBurnJob * Job);
    virtual ~cBurnProcessVDR();
};

#endif // VDR_BURN_PROCESS_VDR_H
